Name: 		perl-Test-Inline
Version: 	2.103
Release: 	2%{?dist}
Summary: 	Test::Inline Perl module
License: 	GPL or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/Test-Inline/
Source0: 	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Test-Inline-%{version}.tar.gz
Source1:	%{name}-filter-requires.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define __perl_requires %{SOURCE1}

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: 	noarch

BuildRequires: 	perl(Test::More) >= 0.47
BuildRequires: 	perl(Test::ClassAPI) >= 1.02
BuildRequires: 	perl(File::Spec) >= 0.80
BuildRequires: 	perl(List::Util) >= 1.11
BuildRequires: 	perl(Getopt::Long) >= 2.34
BuildRequires: 	perl(File::Slurp) >= 9999.04
BuildRequires: 	perl(File::Find::Rule) >= 0.26
BuildRequires:	perl(Config::Tiny) >= 2.00
BuildRequires:	perl(Params::Util) >= 0.05
BuildRequires: 	perl(Class::Autouse) >= 1.15
BuildRequires: 	perl(Algorithm::Dependency) >= 1.02
BuildRequires: 	perl(File::Flat) >= 0.95
BuildRequires:	perl(Pod::Tests) >= 0.18
BuildRequires:	perl(Test::Pod) >= 1.00

# RPM misses these deps
Requires: perl(File::Flat)
Requires: perl(File::Find::Rule)

%description
Test::Inline allows you to inline your tests next to the code being tested.

%prep
%setup -q -n Test-Inline-%{version}

# 2.100 - 2.103 ship with executable Changes
chmod -x Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{_bindir}/*
%{perl_vendorlib}/Test
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Oct  7 2005 Paul Howarth <paul@city-fan.org> - 2.103-2
- Minor spec file cleanup
- Add BR: perl(Test::Pod) for extra test coverage

* Thu Sep 29 2005 Ralf Corsepius <ralf@links2linux.de> - 2.103-1
- Upstream update.
- Update BR's.

* Fri Sep 23 2005 Ralf Corsepius <ralf@links2linux.de> - 2.102-1
- Upstream update.

* Tue Sep 14 2005 Ralf Corsepius <ralf@links2linux.de> - 2.101-1
- Upstream update.

* Tue Sep 13 2005 Ralf Corsepius <ralf@links2linux.de> - 2.100-1
- Add filter-requires to filter bogus perl(script).

* Mon Aug 22 2005 Ralf Corsepius <ralf@links2linux.de> - 2.100-0
- Update to 2.100.
